#!/bin/sh
if [ -f /tmp/session_bus_address.user ]; then
    source /tmp/session_bus_address.user
    /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_ADDRESS=${DBUS_SESSION_BUS_ADDRESS}
    # DISABLED  /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_PID=${DBUS_SESSION_BUS_PID}
    # DISABLED  /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_WINDOWID=${DBUS_SESSION_BUS_WINDOWID}
else
    if [ -f /tmp/dbus_session ]; then
        # This file is available only on scratchbox, no need to add to aegis session
        source /tmp/dbus_session
    else 
        PID=`pgrep meegotouchhome`
        if [ -f /proc/${PID}/environ ]; then
            eval $(cat /proc/${PID}/environ | sed 's/\x00/\nexport /g'  | grep DBUS_SESSION)        
        fi
        /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_ADDRESS=${DBUS_SESSION_BUS_ADDRESS}
        # DISABLED  /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_PID=${DBUS_SESSION_BUS_PID}
        # DISABLED  /usr/bin/aegis-test-session --set DBUS_SESSION_BUS_WINDOWID=${DBUS_SESSION_BUS_WINDOWID}
        unset PID
    fi
fi
